org.apache.maven.scm.provider.cvslib.command.blame

## Class CvsBlameConsumer

- java.lang.Object
- - org.apache.maven.scm.util.AbstractConsumer
  - - org.apache.maven.scm.provider.cvslib.command.blame.CvsBlameConsumer

All Implemented Interfaces:
  org.codehaus.plexus.util.cli.StreamConsumer

    public class CvsBlameConsumer
    extends AbstractConsumer

Since:
  1.4
Author:
  Evgeny Mandrikov, Olivier Lamy

### Constructor Summary

Constructors
Constructor and Description
`CvsBlameConsumer(ScmLogger logger)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `consumeLine(String line)`
`List<BlameLine>` `getLines()`

### Methods inherited from class org.apache.maven.scm.util.AbstractConsumer

`getLogger, parseDate, parseDate, setLogger`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CvsBlameConsumer

    public CvsBlameConsumer(ScmLogger logger)

### Method Detail

#### consumeLine

    public void consumeLine(String line)

#### getLines

    public List<BlameLine> getLines()